package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ProfileOverride
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ProfileOverride   {
  @JsonProperty("profileOverrideEnable")
  private Boolean profileOverrideEnable;

  public ProfileOverride profileOverrideEnable(Boolean profileOverrideEnable) {
    this.profileOverrideEnable = profileOverrideEnable;
    return this;
  }

  /**
   * Profile Override Enable
   * @return profileOverrideEnable
  */
  @ApiModelProperty(required = true, value = "Profile Override Enable")
  @NotNull


  public Boolean getProfileOverrideEnable() {
    return profileOverrideEnable;
  }

  public void setProfileOverrideEnable(Boolean profileOverrideEnable) {
    this.profileOverrideEnable = profileOverrideEnable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ProfileOverride profileOverride = (ProfileOverride) o;
    return Objects.equals(this.profileOverrideEnable, profileOverride.profileOverrideEnable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileOverrideEnable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ProfileOverride {\n");
    
    sb.append("    profileOverrideEnable: ").append(toIndentedString(profileOverrideEnable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

